<?php
require 'vendor/autoload.php';  // Asegúrate de haber instalado PhpSpreadsheet

use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;

// Función para generar Excel
function generarExcel($datos) {
    $spreadsheet = new Spreadsheet();
    $sheet = $spreadsheet->getActiveSheet();

    $sheet->setCellValue('A1', 'Cuenta');
    $sheet->setCellValue('B1', 'Monto');
    
    $row = 2;
    foreach ($datos as $dato) {
        $sheet->setCellValue('A' . $row, $dato['nombre']);
        $sheet->setCellValue('B' . $row, $dato['monto']);
        $row++;
    }

    $writer = new Xlsx($spreadsheet);
    $writer->save('reporte.xlsx');
}

// Datos de ejemplo
$datos = [
    ['nombre' => 'Cuenta 1', 'monto' => '100.00'],
    ['nombre' => 'Cuenta 2', 'monto' => '200.00'],
];

// Llamada a la función
generarExcel($datos);
?>
